Skip to content

Create Transfer Order

This endpoint only supports transfers between internal Oasis balance accounts and Buffer accounts (two types of transfers are supported: from a balance account to a Buffer account, or from a Buffer account to a balance account).

Endpoint

POST https://api.mycactus.dev/custody/v1/oasis-api/institution/transfer
POST https://api.mycactus.com/custody/v1/oasis-api/institution/transfer

Request Parameters

Body Parameters

FieldTypeDescription
orderNo
Required
StringOrder ID to uniquely identify the transaction. Max length 64 characters (custom order number, supports uppercase/lowercase letters, numbers, underscores, dashes)
currency
Required
StringCurrency type. Only Oasis supported tokens are allowed.
Allowed Value: Refer to the Coin Name (API) column for tokens where Oasis Account is set to Yes in the Supported Token list.
amount
Required
StringAmount
fromAccountId
Required
StringTransfer-out account ID
toAccountId
Required
StringTransfer-in account ID

Request Example

{
    "orderNo" : "TX_0025100100001",
    "currency": "USDT",
    "amount": "100.123456",
    "fromAccountId": "1000002",
    "toAccountId": "1000008"
}

Response

Response Body

Field Type Description
code Integer Response code
message String Response message
successful Boolean If the request is successful
data String Order number as declared in the request parameter

Response Example

{
  "code": 0,
  "message": "string",
  "data": "TX_0025100100001",
  "successful": true
}